openwebbeans-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From strub...@apache.org
Subject svn commit: r1802139 - /openwebbeans/cms-site/trunk/content/
Date Mon, 17 Jul 2017 13:21:09 GMT
Author: struberg
Date: Mon Jul 17 13:21:09 2017
New Revision: 1802139

URL: http://svn.apache.org/viewvc?rev=1802139&view=rev
Log:
update documentation for OWB-2.0.x

Modified:
    openwebbeans/cms-site/trunk/content/cdi_explained.mdtext
    openwebbeans/cms-site/trunk/content/documentation.mdtext
    openwebbeans/cms-site/trunk/content/download.mdtext
    openwebbeans/cms-site/trunk/content/faq.mdtext
    openwebbeans/cms-site/trunk/content/index.html
    openwebbeans/cms-site/trunk/content/news.mdtext
    openwebbeans/cms-site/trunk/content/openwebbeans-impl.mdtext
    openwebbeans/cms-site/trunk/content/openwebbeans-tomcat.mdtext
    openwebbeans/cms-site/trunk/content/owb-eecontainers.mdtext
    openwebbeans/cms-site/trunk/content/owbsetup_ee.mdtext
    openwebbeans/cms-site/trunk/content/owbsetup_se.mdtext

Modified: openwebbeans/cms-site/trunk/content/cdi_explained.mdtext
URL: http://svn.apache.org/viewvc/openwebbeans/cms-site/trunk/content/cdi_explained.mdtext?rev=1802139&r1=1802138&r2=1802139&view=diff
==============================================================================
--- openwebbeans/cms-site/trunk/content/cdi_explained.mdtext (original)
+++ openwebbeans/cms-site/trunk/content/cdi_explained.mdtext Mon Jul 17 13:21:09 2017
@@ -22,7 +22,7 @@ Notice:    Licensed to the Apache Softwa
 ## An introduction to CDI
 
 Contexts and Dependency Injection for Java a.k.a. CDI is a JavaEE specification with the
number
-JSR-299 (CDI-1.0), JSR-346 (CDI-1.1/1.2) and JSR-365 (CDI-2.0 currently work in progress).
+JSR-299 (CDI-1.0), JSR-346 (CDI-1.1/1.2) and JSR-365 (CDI-2.0).
 Apache OpenWebBeans implements these standards. This page will give you an introduction to
features of
 CDI in general. We will add a special hint whenever a feature is ambiguous in the specification

 and OpenWebBeans implements it in a certain way which might be different on other CDI containers.

Modified: openwebbeans/cms-site/trunk/content/documentation.mdtext
URL: http://svn.apache.org/viewvc/openwebbeans/cms-site/trunk/content/documentation.mdtext?rev=1802139&r1=1802138&r2=1802139&view=diff
==============================================================================
--- openwebbeans/cms-site/trunk/content/documentation.mdtext (original)
+++ openwebbeans/cms-site/trunk/content/documentation.mdtext Mon Jul 17 13:21:09 2017
@@ -43,7 +43,7 @@ separate plugins.
 - [Web plugin](openwebbeans-web.html)
 - [EL plugins 1.0 & 2.2](openwebbeans-el.html)
 - [JSF plugins 1.2 & 2.x](openwebbeans-jsf.html)
-- [Tomcat plugins 6 & 7](openwebbeans-tomcat.html)
+- [Apache Tomcat plugins](openwebbeans-tomcat.html)
 
 
 ### Technical Integration Plugins

Modified: openwebbeans/cms-site/trunk/content/download.mdtext
URL: http://svn.apache.org/viewvc/openwebbeans/cms-site/trunk/content/download.mdtext?rev=1802139&r1=1802138&r2=1802139&view=diff
==============================================================================
--- openwebbeans/cms-site/trunk/content/download.mdtext (original)
+++ openwebbeans/cms-site/trunk/content/download.mdtext Mon Jul 17 13:21:09 2017
@@ -30,6 +30,31 @@ Read more about [How we sign Apache Rele
 
 ----------
 
+## OWB-2.0.x
+
+OWB-2.0.x implements the CDI-2.0 (JSR-365) specification.
+It uses a shaded version of ASM-5 for building our proxies and needs JavaSE 8 as minimum
version.
+
+#### Binaries
+The binary distribution contains all OpenWebBeans modules.
+
+* [openwebbeans-distribution-2.0.0-binary.zip](http://www.apache.org/dyn/closer.lua/openwebbeans/2.0.0/openwebbeans-distribution-2.0.0-binary.zip)
+* [openwebbeans-distribution-2.0.0-binary.zip.sha1](http://www.apache.org/dist/openwebbeans/2.0.0/openwebbeans-distribution-2.0.0-binary.zip.sha1)
+* [openwebbeans-distribution-2.0.0-binary.zip.asc](http://www.apache.org/dist/openwebbeans/2.0.0/openwebbeans-distribution-2.0.0-binary.zip.asc)
+* [openwebbeans-distribution-2.0.0-binary.tar.gz](http://www.apache.org/dyn/closer.lua/openwebbeans/2.0.0/openwebbeans-distribution-2.0.0-binary.tar.gz)
+* [openwebbeans-distribution-2.0.0-binary.tar.gz.sha1](http://www.apache.org/dist/openwebbeans/2.0.0/openwebbeans-distribution-2.0.0-binary.tar.gz.sha1)
+* [openwebbeans-distribution-2.0.0-binary.tar.gz.asc](http://www.apache.org/dist/openwebbeans/2.0.0/openwebbeans-distribution-2.0.0-binary.tar.gz.asc)
+
+#### Source
+Should you want to build any of the above binaries, this source bundle is the right one and
covers them all.
+
+* [openwebbeans-2.0.0-source-release.zip](http://www.apache.org/dyn/closer.lua/openwebbeans/2.0.0/openwebbeans-2.0.0-source-release.zip)
+* [openwebbeans-2.0.0-source-release.zip.sha1](http://www.apache.org/dist/openwebbeans/2.0.0/openwebbeans-2.0.0-source-release.zip.sha1)
+* [openwebbeans-2.0.0-source-release.zip.asc](http://www.apache.org/dist/openwebbeans/2.0.0/openwebbeans-2.0.0-source-release.zip.asc)
+
+
+----------
+
 ## OWB-1.7.x
 
 OWB-1.7.x implements the full CDI-1.2 specification.
@@ -97,7 +122,35 @@ Older versions of Apache OpenWebBeans ca
 
 ###Maven Dependencies### {#maven-dep}
 
-#### API:s {#apis-version}
+#### APIs for OWB-2.0.x {#apis-version}
+
+    <dependency>
+        <groupId>org.apache.geronimo.specs</groupId>
+        <artifactId>geronimo-atinject_1.0_spec</artifactId>
+        <version>1.0</version>
+    </dependency>
+
+    <dependency>
+        <groupId>org.apache.geronimo.specs</groupId>
+        <artifactId>geronimo-jcdi_2.0_spec</artifactId>
+        <version>1.0</version>
+    </dependency>
+
+    <dependency>
+        <groupId>org.apache.geronimo.specs</groupId>
+        <artifactId>geronimo-interceptor_1.2_spec</artifactId>
+        <version>1.0</version>
+    </dependency>
+
+    <dependency>
+        <groupId>org.apache.geronimo.specs</groupId>
+        <artifactId>geronimo-annotation_1.3_spec</artifactId>
+        <version>1.0</version>
+    </dependency>
+
+Note that you should set the seope of those dependencies to either `provided` or `compile`
depending on whether your environment already provide them or not.
+
+#### APIs for OWB-1.7.x {#apis-version12}
 
     <dependency>
         <groupId>org.apache.geronimo.specs</groupId>
@@ -115,17 +168,16 @@ Older versions of Apache OpenWebBeans ca
         <groupId>org.apache.geronimo.specs</groupId>
         <artifactId>geronimo-interceptor_1.2_spec</artifactId>
         <version>1.0</version>
-        <scope>compile</scope>
     </dependency>
 
     <dependency>
         <groupId>org.apache.geronimo.specs</groupId>
         <artifactId>geronimo-annotation_1.2_spec</artifactId>
         <version>1.0</version>
-        <scope>compile</scope>
     </dependency>
 
 
+
 #### Required {#required-version}
 
     <dependency>

Modified: openwebbeans/cms-site/trunk/content/faq.mdtext
URL: http://svn.apache.org/viewvc/openwebbeans/cms-site/trunk/content/faq.mdtext?rev=1802139&r1=1802138&r2=1802139&view=diff
==============================================================================
--- openwebbeans/cms-site/trunk/content/faq.mdtext (original)
+++ openwebbeans/cms-site/trunk/content/faq.mdtext Mon Jul 17 13:21:09 2017
@@ -20,33 +20,12 @@ Notice:    Licensed to the Apache Softwa
 
 
 
-  - [Does OWB differ from the CDI-1.0 specification](#Does OWB differ from the CDI-1.0 specification)
-
-  - what is the default EL version used in OWB
-  - how can I provide own plugins if there is a new spec part (e.g EL-3.0) I like to support
-  - Do you have any support for CDI 1.1 (JSR-346)
-  - How can I contribute to OpenWebBeans
-  - I found what could be a bug, how do I proceed
-
-
-  - [Does OWB differ from the CDI-1.0 specification](#Does OWB differ from the CDI-1.0 specification)
-
-  - what is the default EL version used in OWB
-  - how can I provide own plugins if there is a new spec part (e.g EL-3.0) I like to support
-  - Do you have any support for CDI 1.1 (JSR-346)
-  - How can I contribute to OpenWebBeans
-  - I found what could be a bug, how do I proceed
-
-
-
-  - [Does OWB differ from the CDI-1.0 specification](#Does OWB differ from the CDI-1.0 specification)
-
+  - [Does OWB differ from the CDI-2.0 specification](#Does OWB differ from the CDI-2.0 specification)
   - what is the default EL version used in OWB
   - how can I provide own plugins if there is a new spec part (e.g EL-3.0) I like to support
-  - Do you have any support for CDI 1.1 (JSR-346)
   - How can I contribute to OpenWebBeans
   - I found what could be a bug, how do I proceed
 
 
 
-###Does OWB differ from the CDI-1.0 specification
\ No newline at end of file
+### Does OWB differ from the CDI-2.0 specification
\ No newline at end of file

Modified: openwebbeans/cms-site/trunk/content/index.html
URL: http://svn.apache.org/viewvc/openwebbeans/cms-site/trunk/content/index.html?rev=1802139&r1=1802138&r2=1802139&view=diff
==============================================================================
--- openwebbeans/cms-site/trunk/content/index.html (original)
+++ openwebbeans/cms-site/trunk/content/index.html Mon Jul 17 13:21:09 2017
@@ -12,8 +12,8 @@
         <div class="col-md-10 col-lg-10 col-sm-10 col-xs-10">
             <p>
                 Apache OpenWebBeans delivers an implementation of the
-                <a href="http://jcp.org/en/jsr/detail?id=346">Contexts and Dependency
injection for Java EE</a> (CDI) 1.2 Specification (JSR346).<br/>
-                OpenWebBeans is TCK compliant and the latest version works on Java SE 7 or
later.
+                <a href="http://jcp.org/en/jsr/detail?id=346">Contexts and Dependency
injection for Java EE</a> (CDI) 2.0 Specification (JSR-365).<br/>
+                OpenWebBeans is TCK compliant and the latest version works on Java SE 8 or
later.
             </p>
             <p>
                 Apache OpenWebBeans is
@@ -38,8 +38,8 @@
     </div>
     <div class="col-md-6">
         <h2>Meecrowave</h2>
-        <p>Apache Meecrowave is a microprofile Server based on Apache OpenWebBeans,
Tomcat, CXF and Johnzon. 
-			In other words it contains all you need to run a JavaEE based Microservice from the command
line - and all that in only 9 MB!</p>
+        <p>Apache Meecrowave is a microprofile Server based on Apache OpenWebBeans,
Tomcat, CXF and Johnzon
+            In other words it contains all you need to run a JavaEE based Microservice from
the command line - and all that in only 9 MB!</p>
         <p><a class="btn btn-default" href="meecrowave/index.html#">View details
»</a></p>
     </div>
 </div>

Modified: openwebbeans/cms-site/trunk/content/news.mdtext
URL: http://svn.apache.org/viewvc/openwebbeans/cms-site/trunk/content/news.mdtext?rev=1802139&r1=1802138&r2=1802139&view=diff
==============================================================================
--- openwebbeans/cms-site/trunk/content/news.mdtext (original)
+++ openwebbeans/cms-site/trunk/content/news.mdtext Mon Jul 17 13:21:09 2017
@@ -19,6 +19,7 @@ Notice:    Licensed to the Apache Softwa
 
 # News
 
+* 2017-07-16 OpenWebBeans-2.0.0 has been released - this is our first CDI-2.0 release!
 * 2017-07-11 Meecrowave-1.0.0 has been released
 * 2017-07-11 OpenWebBeans-1.7.4 has been released - this is a CDI-1.2 bugfix release
 * 2017-04-19 OpenWebBeans-1.7.3 has been released - this is a CDI-1.2 bugfix release

Modified: openwebbeans/cms-site/trunk/content/openwebbeans-impl.mdtext
URL: http://svn.apache.org/viewvc/openwebbeans/cms-site/trunk/content/openwebbeans-impl.mdtext?rev=1802139&r1=1802138&r2=1802139&view=diff
==============================================================================
--- openwebbeans/cms-site/trunk/content/openwebbeans-impl.mdtext (original)
+++ openwebbeans/cms-site/trunk/content/openwebbeans-impl.mdtext Mon Jul 17 13:21:09 2017
@@ -60,7 +60,8 @@ or be a hot mess with version checks and
 combinations. Naturally it would only get worse and worse over time. 
 
 Glad we avoided all that and have the exact opposite result, the latest 
-OpenWebBeans still support JSF 1.2, EL-1.0, JSP, Tomcat 6 and so on. 
+OpenWebBeans still support JSF 2.0, EL-1.0, JSP, Tomcat 7 and so on.
+And you can just plug support for your own framework.
 
 ## Introduction to our plugin system
 

Modified: openwebbeans/cms-site/trunk/content/openwebbeans-tomcat.mdtext
URL: http://svn.apache.org/viewvc/openwebbeans/cms-site/trunk/content/openwebbeans-tomcat.mdtext?rev=1802139&r1=1802138&r2=1802139&view=diff
==============================================================================
--- openwebbeans/cms-site/trunk/content/openwebbeans-tomcat.mdtext (original)
+++ openwebbeans/cms-site/trunk/content/openwebbeans-tomcat.mdtext Mon Jul 17 13:21:09 2017
@@ -16,21 +16,13 @@ Notice:    Licensed to the Apache Softwa
            specific language governing permissions and limitations
            under the License.
 
-# OpenWebBeans Tomcat 6, 7 and 8
+# OpenWebBeans Tomcat 7, 8, 8.5 and 9
 
 Note: You also need other modules to run OpenWebBeans on Tomcat. 
 These Tomcat plugins only adds extra features like injection into Servlets and are not even
mandatory for running on Tomcat. For more information read [Getting started][1].
 
-###Tomcat 6 Module
 
-    <dependency>
-        <groupId>org.apache.openwebbeans</groupId>
-        <artifactId>openwebbeans-tomcat6</artifactId>
-        <version>${owb.version}</version>
-        <scope>compile</scope>
-    </dependency>
-
-###Tomcat 7 and 8
+### Tomcat 7 and above
 
     <dependency>
         <groupId>org.apache.openwebbeans</groupId>

Modified: openwebbeans/cms-site/trunk/content/owb-eecontainers.mdtext
URL: http://svn.apache.org/viewvc/openwebbeans/cms-site/trunk/content/owb-eecontainers.mdtext?rev=1802139&r1=1802138&r2=1802139&view=diff
==============================================================================
--- openwebbeans/cms-site/trunk/content/owb-eecontainers.mdtext (original)
+++ openwebbeans/cms-site/trunk/content/owb-eecontainers.mdtext Mon Jul 17 13:21:09 2017
@@ -25,4 +25,5 @@ Apache OpenWebBeans is used in a few Jav
 - IBM WebSphere Application Server 8.0 and 8.5
 - IBM WebSphere Application Server Liberty Profile 8.5
 - SiwPas
+- As part of various other Vendor offerings like SAP, etc
 

Modified: openwebbeans/cms-site/trunk/content/owbsetup_ee.mdtext
URL: http://svn.apache.org/viewvc/openwebbeans/cms-site/trunk/content/owbsetup_ee.mdtext?rev=1802139&r1=1802138&r2=1802139&view=diff
==============================================================================
--- openwebbeans/cms-site/trunk/content/owbsetup_ee.mdtext (original)
+++ openwebbeans/cms-site/trunk/content/owbsetup_ee.mdtext Mon Jul 17 13:21:09 2017
@@ -35,10 +35,10 @@ But since OpenWebBeans is modular you sh
 ### API jars
 Several API bundles exists for java EE and they are mostly compatible with OpenWebBeans.
If you already include one of these you might not need any api jars. CDI and thus OpenWebBeans
depends on the following four apis:
 
-  - **CDI: [geronimo-jcdi_1.1_spec.jar][3]**
+  - **CDI: [geronimo-jcdi_2.0_spec.jar][3]**
   - **AtInject: [geronimo-atinject_1.0_spec.jar][3]**
   - **Interceptor: [geronimo-interceptor_1.2_spec.jar][3]**
-  - **Common Annotations: [geronimo-annotation_1.2_spec.jar][3]**
+  - **Common Annotations: [geronimo-annotation_1.3_spec.jar][3]**
 
 You will only reference these API:s in your own project. This way your project will stay
CDI vendor neutral. A typical use case would be to add all four of the above to your parent-pom
or your core module. 
 
@@ -57,7 +57,6 @@ The following plugins are very useful if
 
 - **[openwebbeans-el22][9]**
 - **[openwebbeans-tomcat7][10]**
-- **[openwebbeans-tomcat6][11]**
 - **[openwebbeans-jsf22][13]**
 
 ###When to use respective plugin
@@ -71,10 +70,11 @@ For JSF support add JSF plugin according
 
 * Java Server Faces 2.0 or later - **[openwebbeans-jsf22][13]**
 
-If the project uses Tomcat 6 or Tomcat 7 you can add the respective plugin. This is not required
but enables injection in Servlets and Filters. Note that Tomcat7 should be read as Tomcat7+
thus it works perfectly fine with Tomcat 8.
+If the project uses Tomcat 7 or above you can add the respective plugin.
+This is not required but enables injection in Servlets and Filters.
+Note that the tomcat7 plugin works perfectly fine with Tomcat 8, 8.5 and even Tomcat 9.
 
-* Tomcat 6 - **[openwebbeans-tomcat6][11]**
-* Tomcat 7 / Tomcat 8 - **[openwebbeans-tomcat7][11]**
+* Tomcat 7 / Tomcat 8 / Tomcat 9 - **[openwebbeans-tomcat7][11]**
  
 
 ###Bootstrapping OpenWebBeans {#configuring-owb}
@@ -100,7 +100,6 @@ From here you might want to look at our
   [8]: /download.html#plugins-version
   [9]: /download.html#plugins-version
   [10]: /download.html#plugins-version
-  [11]: /download.html#plugins-version
   [12]: /download.html#plugins-version
   [13]: /download.html#plugins-version
   [14]: /samples.html
\ No newline at end of file

Modified: openwebbeans/cms-site/trunk/content/owbsetup_se.mdtext
URL: http://svn.apache.org/viewvc/openwebbeans/cms-site/trunk/content/owbsetup_se.mdtext?rev=1802139&r1=1802138&r2=1802139&view=diff
==============================================================================
--- openwebbeans/cms-site/trunk/content/owbsetup_se.mdtext (original)
+++ openwebbeans/cms-site/trunk/content/owbsetup_se.mdtext Mon Jul 17 13:21:09 2017
@@ -44,10 +44,10 @@ for the time being the existing plugins
 You also need to add some spec API jars for the CDI, atinject and interceptors 
 specifications.
 
-  - **[geronimo-jcdi_1.0_spec.jar][3]**
+  - **[geronimo-jcdi_2.0_spec.jar][3]**
   - **[geronimo-atinject_1.0_spec.jar][3]**
   - **[geronimo-interceptor_1.2_spec.jar][3]**
-  - **[geronimo-annotation_1.2_spec.jar][3]**
+  - **[geronimo-annotation_1.3_spec.jar][3]**
 
 
  



Mime
View raw message